// ===========================================================================
// CONTENT  : INTERFACE ILineProcessor
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.0 - 20/03/2016
// HISTORY  :
//  20/03/2016  mdu  CREATED
//
// Copyright (c) 2016, by MDCS. All rights reserved.
// ===========================================================================
package org.pfsw.bif.text;

/**
 * A simple interface that allows processing a longer text line by line.
 * Usually used as callback together with a Reader processing class. 
 *
 * @author Manfred Duchrow
 * @version 1.0
 */
public interface ILineProcessor
{
  /**
   * Processes the given line and returns true if the caller should continue.
   * If false is returned, the caller should stop.
   * 
   * @param line The line to process (must not be null)
   * @param lineNo The line number (starting with 1)
   */
  public boolean processLine(String line, int lineNo);
}