// ===========================================================================
// CONTENT  : INTERFACE RequestHeaderNames
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.0 - 19/08/2014
// HISTORY  :
//  19/08/2014  mdu  CREATED
//
// Copyright (c) 2014, by MDCS. All rights reserved.
// ===========================================================================
package org.pfsw.net.http ;

/**
 * Standard HTTP header name constants 
 *
 * @author Manfred Duchrow
 * @version 1.0
 */
public interface RequestHeaderNames
{ 
  // =========================================================================
  // Standard request header
  // =========================================================================
  public static final String ACCEPT = "Accept";

  public static final String ACCEPT_LANGUAGE = "Accept-Language";
  public static final String ACCEPT_CHARSET = "Accept-Charset";
  public static final String ACCEPT_ENCODING = "Accept-Encoding";

  public static final String AUTHORIZATION = "Authorization";

  public static final String CACHE_CONTROL = "Cache-Control";

  public static final String CONTENT_TYPE = "Content-Type";
  public static final String CONTENT_LENGTH = "Content-Length";

  public static final String COOKIE = "Cookie";

  public static final String HOST = "Host";

  public static final String PRAGMA = "Pragma";

  public static final String REFERER = "Referer";
  
  public static final String USER_AGENT = "User-Agent";

  public static final String VIA = "Via";

  // =========================================================================
  // Generally used eXtension request headers
  // =========================================================================
  public static final String X_REQUESTED_WITH = "X-Requested-With";

  public static final String X_ACCESS_TOKEN = "X-Access-Token";

  public static final String X_AUTH_TOKEN = "X-Auth-Token";

  public static final String X_JWT_ASSERTION = "X-JWT-Assertion";
}