// ===========================================================================
// CONTENT  : INTERFACE ResponseHeaderNames
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.0 - 27/09/2014
// HISTORY  :
//  27/09/2014  mdu  CREATED
//
// Copyright (c) 2014, by MDCS. All rights reserved.
// ===========================================================================
package org.pfsw.net.http;

// ===========================================================================
// IMPORTS
// ===========================================================================

/**
 * Constant definitions for HTTP response header names. 
 *
 * @author Manfred Duchrow
 * @version 1.0
 */
public interface ResponseHeaderNames
{
  // =========================================================================
  // Standard headers
  // =========================================================================
  public static final String AGE = "Age";
  public static final String ALLOW = "Allow";
  public static final String CACHE_CONTROL = "Cache-Control";
  public static final String CONNECTION = "Connection";
  public static final String CONTENT_ENCODING = "Content-Encoding";
  public static final String CONTENT_LANGUAGE = "Content-Language";
  public static final String CONTENT_LENGTH = "Content-Length";
  public static final String CONTENT_SECURITY_POLICY = "Content-Security-Policy";
  public static final String CONTENT_TYPE = "Content-Type";
  public static final String DATE = "Date";
  public static final String ETAG = "ETag";
  public static final String EXPIRES = "Expires";
  public static final String LAST_MODIFIED = "Last-Modified";
  public static final String LOCATION = "Location";
  public static final String P3P = "P3P";
  public static final String PRAGMA = "Pragma";
  public static final String PROXY_AUTHENTICATE = "Proxy-Authenticate";
  public static final String SET_COOKIE = "Set-Cookie";
  public static final String SET_COOKIE2 = "Set-Cookie2";
  public static final String TRANSFER_ENCODING = "Transfer-Encoding";
  public static final String VIA = "Via";
  public static final String WWW_AUTHENTICATE = "WWW-Authenticate";
  
  // =========================================================================
  // eXtension headers
  // =========================================================================
  public static final String X_FRAME_OPTIONS = "X-Frame-Options";
  public static final String X_XSS_PROTECTION = "X-XSS-Protection";
  public static final String X_CONTENT_TYPE_OPTIONS = "X-Content-Type-Options";

} // interface ResponseHeaderNames