// ===========================================================================
// CONTENT  : CLASS XPathAccessException
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.0 - 14/01/2012
// HISTORY  :
//  14/01/2012  mdu  CREATED
//
// Copyright (c) 2012, by MDCS. All rights reserved.
// ===========================================================================
package org.pfsw.pax ;

/**
 * A runtime exception that encapsulate all exceptions that might occur
 * in accessing XML data via XPath queries.
 *
 * @author Manfred Duchrow
 * @version 1.0
 */
public class XPathAccessException extends RuntimeException
{
  private static final long serialVersionUID = 2994646395658419724L;

  /**
   * Initialize the new instance with default values.
   */
  public XPathAccessException()
  {
    super() ;
  } // XPathAccessException()

	public XPathAccessException(String message, Throwable cause)
	{
		super(message, cause);
	}

	public XPathAccessException(String message)
	{
		super(message);
	}

	public XPathAccessException(Throwable cause)
	{
		super(cause);
	}
    
}
