// ===========================================================================
// CONTENT  : INTERFACE Charsets
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.1 - 20/03/2016
// HISTORY  :
//  11/01/2014  mdu  CREATED
//  20/03/2016  mdu   deprecated  -> Moved content to org.pfsw.bif.text.ICharsets
//
// Copyright (c) 2014-2016, by MDCS. All rights reserved.
// ===========================================================================
package org.pfsw.text ;

// ===========================================================================
// IMPORTS
// ===========================================================================
import org.pfsw.bif.text.ICharsets;

/**
 * Provides constants for the standard character sets that are available in every JRE.
 * They are useful to avoid the annoying try-catch blocks for UnsupportedEncodingException
 * when used with String.getBytes(Charset) or String(byte[], Charset). These methods are
 * available since Java 6. 
 * Can also be used with InputStreamReader(InputStream, Charset) and
 * OutputStreamWriter(OutputStream, Charset) which are available since Java 1.4.
 * 
 * @deprecated 
 *
 * @author Manfred Duchrow
 * @version 1.1
 */
@Deprecated
public interface Charsets extends ICharsets
{ 
  // No extension here 
} 