// ===========================================================================
// CONTENT  : CLASS ObjectNotFoundException
// AUTHOR   : Manfred Duchrow
// VERSION  : 1.0 - 29/01/2017
// HISTORY  :
//  29/01/2017  mdu  CREATED
//
// Copyright (c) 2017, by MDCS. All rights reserved.
// ===========================================================================
package org.pfsw.util;

// ===========================================================================
// IMPORTS
// ===========================================================================
import java.lang.Exception;

/**
 * This exception signals that some kind of search for an object failed
 * because no matching object has been found.
 *
 * @author Manfred Duchrow
 * @version 1.0
 */
public class ObjectNotFoundException extends Exception
{
  private static final long serialVersionUID = 5240220393496768670L;

  public ObjectNotFoundException(String message, Object... args)
  {
    super(String.format(message, args));
  }

  public ObjectNotFoundException(Throwable ex, String message, Object... args)
  {
    super(String.format(message, args), ex);
  }
}
